Subject: Re: bug#74641: When scrolling on non-selected window, this window does not change to selected.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Dec 2024 15:08:49 +0200

> Date: Mon, 2 Dec 2024 03:00:46 +0200
> From: <[email-masked]>
> 
> Hi !
> 
> Assume, one frame and it is split into two window. When scrolling on non-selected window, this window does not change to selected.
> 
> If these two windows contain same buffer and when scrolling on non-selected window, the individual scroll events go through to selected window, because buffer makes a few jumps there. The non-selected window remain non-selected.
> 
> Tested with: 
> 
> pixel-scroll-precision-mode enabled
> pixel-scroll-mode disabled
> mouse-wheel-mode enabled/disabled
> 
> emacs 29.4
> archlinux
> xfwm4 4.18.0-4

Please show a recipe, preferably starting from "emacs -Q", to
reproduce the issue.  Because just by doing what I think you did, I
cannot reproduce this: I can scroll a non-selected window without
affecting the selected window which shows the same buffer.  What am I
missing?